<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>About</title>
  
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <link rel="stylesheet" href="../css/style.css">

</head>

<body class="body">       

    <!-- navbar -->
    <nav class="navbar navbar-expand-md navbar-light fixed-top navbar-custom" >
      
      <button type="button" class="navbar-toggler navbar-toggle-icon-custom" data-toggle="collapse" data-target="#nav">
        <span class="navbar-toggler-icon"></span>
      </button>
    
      <div class="collapse navbar-collapse justify-content-between" id="nav" >
        <ul class="navbar-nav mx-auto">  
          <li class="nav-item">
            <a class="navbar-brand" href="#">
              <img src="../assets/img/lyingface.png" alt="" width="30" height="30" class="d-inline-block aling-text-top" />
              <span class="nbrand">Fake News Warning</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link text-light px-4"  href="./history.html">History</a>
          </li>

          <li class="nav-item">
            <a class="nav-link text-light px-4" href="./legalterms.html">Legal Terms</a>
          </li>
          
          <li class="nav-item">
            <a class="nav-link text-light font-weight-bold  px-4" href="./about.html">About</a>
          </li>
        </ul>
      </div>
    </nav>
  
    <!-- content -->
    <div class="content-2">
        <div align="center" class="header-txt"><h5>About</h5></div>
  
      <hr />
      
      <h6><a href="#about" class="about-list">About</a></h6>
      <h6><a href="#views" class="about-list">Views</a></h6>
      <div style="margin-left:2%;">
        <h6><a href="#activanddialogue" class="about-list">Activation and the main dialogue</a></h6>
        <h6><a href="#details" class="about-list">Details</a></h6>
        <h6><a href="#history" class="about-list">History</a></h6>
      </div>
      <h6><a href="#support" class="about-list">Support</a></h6>

        <h3 id="about" style="margin-top: 20px;">About</h3>
        <hr />
        <p>
        </p>

        <p>
          The Fake News Warning application demonstrates the NuNet platform’s ability to dynamically construct application-specific service meshes from several SingularityNET AI services. In order for the service mesh to be deployed, developers have to:
        </p>

        <ol >
          <li>
            Describe the application in terms of a program graph – defining AI Services and program components; 
          </li>
          <li>
            Make sure that all AI Services in the program graph are onboarded onto SingularityNET platform; 
          </li>
          <li>
            Build a frontend of the application that exposes its functionality to users, which is this browser extension.
          </li>
        </ol>
        <p>
          The live NuNet platform activity can be observed via Network Statistics page at <a href="https://stats.nunet.io;" class="about-list">https://stats.nunet.io;</a>
        </p> 
        
        <h3 id="views" style="margin-top: 20px;">Views</h3>
        <hr />
        <h4 id="activanddialogue">Activation and the main dialogue</h4>
        <p>
        The fake news warning browser extension calculates the probability that an article, displayed on the browser tab, on which the extension was activated, contains fake news, according to the algorithms executed in its background.

        </p>
        <p>
When the browser extension is activated, it sends information about the article to these backend processes. While the backend is running, the extension window displays an animated NuNet logo. During the time of processing, a user can browse other windows or tabs without influencing the process, which can always be revisited by pressing the extension icon when on the same browser tab.
        </p>
        <p>
When results are calculated by the backend, they are returned to the browser, saved in its local storage and always accessible by the user via activating the browser extension when the same url is displayed on a browser tab during activation. The browser extension does not identify users or collects private data, except generating a unique key for each new installation of the extension which enables it to identify unique calls in the backend and accumulate call history and details. This information is irretrievably lost when the browser extension is removed or reinstalled. This version of the extension does not provide functionality to preserve history of user calls to the backend between reinstallations.
        </p>
        <h3 id="details">Details</h3>
        <p>
        The details page is accessible from the main browser extension dialogue via the button with text “view full analysis or report an issue” and displays all information about the particular call to the backend with the url of the browser tab and its results:
        </p>
        <ul>
            <li>
                URL of an article;
            </li>
            <li>
                Data and time of the call (i.e. activation of the extension on the browser tab displaying that URL);
            </li>
            <li>
                Processing time of the call (i.e. time between activation of the extension and return of results);
            </li>
            <li>
                Raw result returned by the backend to as a result of the call;
            </li>
            <li>
                Overall result of the call (probability that the text of the URL contains fake news and users feedback);
            </li>
            <li>
                Trade ID and the link to call traces in the backend, collected via open telemetry API, activated in the platform for the debugging purposes, as a part of developer tooling;
            </li>
            <li>
                Description boxes of each SingularityNET AI Service that was called as a result of the browser extension activation with their individual results:
                <ul>
                    <li>
                        Description of each service, including name, version and unique ID on SingularityNET platform, source repository and the link to docker image that was executed for the particular call;
                    </li>
                    <li>
                        JSON result of a call to that service;
                    </li>
                    <li>
                        Telemetry information of the call, which includes precise amount of memory, cpu power, network used and time taken for the call;
                    </li>
                    <li>
                        Amount of token compensation to the AI service provider (in AGIX) and to the hardware provider (in NTX) for this particular call;
                    </li>
                    <li>
                        User feedback for each executed algorithm separately (for demonstration purposes only -- in the current version, users are encouraged to provide feedback, comments and ask questions via links provided below);
                    </li>
                </ul>
            </li>
            <li>
                General feedback for that call (for demonstration purposes only)
            </li>
        </ul>



        <h4 id="history">History</h4>

        <p>
        The history page, accessible via the button ‘view full call history’ on the  browser-extension main window contains the list of all calls to the backend that were made with the unique ID of the currently installed browser extension and links to their details, described above.
        </p>

        <h4 id="support">Support</h4>

        <p>
        Users are encouraged to provide feedback, comments and ask questions via the mail <a href = "mailto: support@nunet.io">support@nunet.io</a> or the Developer Portal at <a href="https://devexchange.nunet.io">https://devexchange.nunet.io</a>.
        </p>
        <hr />

        <!--footer-->
        <div class="footer-custom" align="center">
          <small>Copyright © NuNet 2021. All Rights Reserved.</small>
        </div>
    </div>
</body>
</html>
